Skip to main content
`Ctrl`+`K`

# TaoGetKSP

Gets the linear solver used by the optimization solver.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetKSP(Tao tao, KSP *ksp)

Not Collective

## Input Parameter

- tao - the `Tao` solver

## Output Parameter

- ksp - the `KSP` linear solver used in the optimization solver

## See Also

TAO: Optimization Solvers, `Tao`, `KSP`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

## Examples

src/ts/tutorials/ex20opt_p.c
src/tao/bound/tutorials/jbearing2.c
src/tao/unconstrained/tutorials/eptorsion3.c
src/tao/unconstrained/tutorials/eptorsion2.c
src/tao/constrained/tutorials/ex1.c
src/tao/unconstrained/tutorials/rosenbrock1.c
src/tao/unconstrained/tutorials/eptorsion1.c
src/tao/unconstrained/tutorials/minsurf1.c
src/ts/tutorials/ex20opt_ic.c
src/tao/constrained/tutorials/maros.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages